/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/variables';
@import 'css/_general_styling.scss';

.confirmDeleteModal {
  :global {
    .ant-modal-confirm-btns {
      display: flex;
      justify-content: space-between;
      width: 100%;
      padding-inline: 3.5rem;
      margin-top: 0;
    }

    .ant-modal-body {
      padding: 2rem;
    }
  }

  &__titleContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    row-gap: 1rem;

    &__icon {
      background: $coa-primary;
      border-radius: 2rem;
      -webkit-border-radius: 2rem;
      -moz-border-radius: 2rem;
      -ms-border-radius: 2rem;
      -o-border-radius: 2rem;
      padding: 1rem;
      font-size: 2rem;
      color: $coa-white-100;
    }

    &__title {
      @include primary-text(1.5rem, $coa-primary, 500);
    }
  }

  &__description {
    text-align: center;
    @include primary-text(0.875rem, $coa-grey-100, 400);
  }

  &__button {
    width: 50%;
    height: 2.5rem;

    &.--ok {
      background: $coa-primary;
    }

    &.--no {
      border-color: $coa-primary;
      color: $coa-primary;
    }
  }
}

.confirmRequestChangeModal {
  :global {
    .ant-modal-confirm-btns {
      display: flex;
      width: 100%;
      padding-inline: 0;
      margin-top: 0;
      justify-content: center;
    }

    .ant-modal-body {
      padding: 2rem;
    }
  }

  .okButton {
    display: none;
  }

  .cancelButton {
    color: $coa-primary;
    text-align: center;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 16px;
    border-color: $coa-primary;
    width: 9.625rem;
    height: 2.5rem;
  }
}

.manageSignatureRequestModal {
  :global {
    .ant-modal-body {
      padding: 2rem;
    }

    .ant-modal-confirm-title {
      display: flex;
      flex-direction: column;
      align-items: center;
      row-gap: 1rem;
      text-align: center;
      padding-inline: 0.5rem;
    }

    .ant-modal-confirm-content {
      margin-top: 1rem;
    }

    .ant-modal-confirm-btns {
      display: flex;
      width: 100%;
      padding-inline: 0;
      margin-top: 0;
      justify-content: center;
    }
  }

  &__icon {
    color: $coa-primary;
  }

  &__title {
    color: $coa-primary;
    text-align: center;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.5px;
  }

  &__description {
    color: #728099;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;

    &.--bold {
      font-weight: 500;
    }
  }

  &__actionButtons {
    display: flex;
    column-gap: 0.625rem;
    margin-top: 1rem;

    &__button {
      flex: 1;

      &:hover {
        opacity: 0.7;
      }
    }
  }

  &__button {
    width: 10rem;
    height: 2.5rem;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 16px;

    &.--ok {
      display: none;
    }
    &.--cancel {
      border-color: $coa-primary;
      color: $coa-primary;

      &:hover {
        border-color: $coa-primary;
        color: $coa-primary;
        opacity: 0.7;
      }
    }
  }
}
